<div class="row">
    <div class="col-md-12">
        <button *ngIf="userRole!='Admin'" id="showPurchaseOrderForm" type="button" class="btn btn-sm btn-custom mr-2 mb-3"
            (click)="createPurchaseOrderFormGroup()" data-toggle="modal" data-target="#addPurchaseOrder"
            data-backdrop="static" data-keyboard="false">New Purchase Order</button>
            <button type="button" (click)="generateExcel()" class="btn btn-sm btn-primary mb-3"><i class="fa fa-download mr-1"></i>Generate
                Report</button>
        </div>
    
</div>
<div class="card shadow mb-4">
    <div class="card-header">
        <form class="user filterForm" [formGroup]="filterForm">
            <div class="form-group row">
                <div *ngIf="userRole=='Admin'" class="col-sm-2 mb-3 mb-sm-0">
                    <select formControlName="po_company" class="form-control dropdown"
                        (change)="getFilteredPurchaseOrders()">
                        <option value="" selected>Select Company</option>
                        <option *ngFor="let company of companies" value="{{company.company_id}}">{{company.name}}
                        </option>
                    </select>
                </div>
                <div class="col-sm-2 mb-3 mb-sm-0">
                    <select formControlName="po_title" class="form-control dropdown" (change)="getFilteredPurchaseOrders()">
                        <option value="" selected>Select Buyer</option>
                        <option *ngFor="let buyer of buyers" value="{{buyer.buyer_id}}">{{buyer.full_name}}</option>
                    </select>
                </div>
                <div class="col-sm-2 mb-3 mb-sm-0">
                    <select formControlName="po_style" class="form-control dropdown" (change)="getFilteredPurchaseOrders()">
                        <option value="" selected>Select Style</option>
                        <option *ngFor="let style of styles" value="{{style.style_id}}">{{style.style_code}}</option>
                    </select>
                </div>
                <div class="col-sm-2 mb-3 mb-sm-0">
                    <input formControlName="po_date_issued" type="date" (change)="getFilteredPurchaseOrders()"
                        class="form-control form-control-user">
                </div>
                <div class="col-sm-2 mb-3 mb-sm-0">
                    <input type="submit" value="Reset" (click)="resetFilters()" class="btn btn-warning btn-block">
                </div>
            </div>
        </form>
    </div>
    <div class="card-body">
        <div class="table-responsive">
            <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                <thead>
                    <tr>
                        <th>Title</th>
                        <th>Date Issued</th>
                        <th *ngIf="userRole=='Admin'">Company</th>
                        <th>Agent</th>
                        <th>POC</th>
                        <th>Style</th>
                        <th>Quantity</th>
                        <th>Value</th>
                        <th *ngIf="userRole!='Admin'">Action</th>
                    </tr>
                </thead>
                <tbody>
                    <tr *ngFor="let po of purchase_orders | paginate: { itemsPerPage: 10, currentPage: p }">
                        <td><a [routerLink]="['/purchase-order/view-order', po.order_id]">{{po.order_title}}</a></td>
                        <td>{{po.date_issued}}</td>
                        <th *ngIf="userRole=='Admin'">{{po.company_name}}</th>
                        <td><a [routerLink]="['/buyers/view-buyer', po.buyer_id]">{{po.buyer}}</a></td>
                        <td>{{po.poc_name}}</td>
                        <td><a [routerLink]="" (click)="viewStyle(po.style_id)">{{po.style}}</a></td>
                        <td>{{po.quantity}}</td>
                        <td>{{po.value}}</td>
                        <td *ngIf="userRole!='Admin'">
                            <span><a [routerLink]="['/purchase-order/view-order', po.order_id]"><i
                                        class="fa fa-eye text-info mr-2" aria-hidden="true"></i></a></span>
                            <span><i data-toggle="modal" data-target="#addPurchaseOrder" (click)="editPurchaseOrder(po)"
                                    class="fa fa-edit mr-2 text-primary" aria-hidden="true"></i>
                            </span>
                        </td>
                    </tr>
                    <tr *ngIf="purchase_orders==''">
                        <td colspan="10" class="text-center">No Records Found</td>
                    </tr>
                </tbody>
            </table>
        </div>
        <div class="row d-flex justify-content-center">
            <pagination-controls *ngIf="purchase_orders!=''" class="my-pagination" (pageChange)="p = $event">
            </pagination-controls>
        </div>
    </div>
</div>


<!-----------Add Purchase Order Form Modal------------------------>
<div id="addPurchaseOrder" class="modal fade largeModal" role="dialog">
    <div class="modal-dialog">

        <!-- Modal content-->
        <div class="modal-content">
            <div class="modal-header">
                <h6 class="modal-title">Add / Edit Purchase Order</h6>
                <button #closeBtn type="button" class="close" data-dismiss="modal">&times;</button>
            </div>
            <div class="modal-body">
                <form class="user" (submit)="addorEditPurchaseOrder()" [formGroup]="PurchaseOrderForm">
                    <div class="form-group row">
                        <div class="col-sm-4 mb-3 mb-sm-0">
                            <label>Order Title:</label>
                            <input formControlName="order_title" type="text" class="form-control form-control-user"
                                id="order_title">
                            <div *ngIf="submitted && formControls.order_title.errors" class="errors">
                                <div *ngIf="formControls.order_title.errors.required">Title is required</div>
                            </div>
                        </div>
                        <div class="col-sm-4 mb-3 mb-sm-0">
                            <label>Date Issued:</label>
                            <input formControlName="date_issued" type="date" class="form-control form-control-user"
                                id="date_issued">
                            <div *ngIf="submitted && formControls.date_issued.errors" class="errors">
                                <div *ngIf="formControls.date_issued.errors.required">Date Issued is required</div>
                            </div>
                        </div>
                    </div>
                    <div class="form-group row">
                        <div class="col-sm-4 mb-3 mb-sm-0">
                            <label>PAN Number:</label>
                            <input formControlName="PAN_Number" type="text" class="form-control form-control-user"
                                id="PAN_Number">
                            <div *ngIf="submitted && formControls.PAN_Number.errors" class="errors">
                                <div *ngIf="formControls.PAN_Number.errors.required">PAN Number is required</div>
                                <div *ngIf="formControls.PAN_Number.errors.pattern">Enter Valid PAN Number</div>
                            </div>
                        </div>
                        <div class="col-sm-4 mb-3 mb-sm-0">
                            <label>GST Number:</label>
                            <input formControlName="GST_Number" type="number" class="form-control form-control-user"
                                id="GST_Number">
                            <div *ngIf="submitted && formControls.GST_Number.errors" class="errors">
                                <div *ngIf="formControls.GST_Number.errors.required">GST Number is required</div>
                                <div *ngIf="formControls.GST_Number.errors.required">Enter Valid GST Number</div>
                            </div>
                        </div>
                        <div class="col-sm-4 mb-3 mb-sm-0">
                            <label>CIN Number:</label>
                            <input formControlName="CIN_Number" type="text" class="form-control form-control-user"
                                id="CIN_Number">
                            <div *ngIf="submitted && formControls.CIN_Number.errors" class="errors">
                                <div *ngIf="formControls.CIN_Number.errors.required">CIN Number is required</div>
                                <div *ngIf="formControls.CIN_Number.errors.required">Enter Valid CIN Number</div>
                            </div>
                        </div>
                    </div>
                    <div class="form-group row">
                        <div class="col-sm-4 mb-3 mb-sm-0">
                            <label>Agent:</label>
                            <select formControlName="buyer_id" class="form-control dropdown" id="buyer_id">
                                <option *ngFor="let buyer of buyers" value="{{buyer.buyer_id}}">{{buyer.full_name}}
                                </option>
                            </select>
                            <div *ngIf="submitted && formControls.buyer_id.errors" class="errors">
                                <div *ngIf="formControls.buyer_id.errors.required">Agent is required</div>
                            </div>
                        </div>
                        <div class="col-sm-4 mb-3 mb-sm-0">
                            <label>POC:</label>
                            <input formControlName="poc_name" type="text" class="form-control form-control-user"
                                id="poc_name">
                            <div *ngIf="submitted && formControls.poc_name.errors" class="errors">
                                <div *ngIf="formControls.poc_name.errors.required">POC is required</div>
                            </div>
                        </div>
                        <div class="col-sm-4 mb-3 mb-sm-0">
                            <label>Style:</label>
                            <select formControlName="style_id" class="form-control dropdown" id="style_id">
                                <option *ngFor="let style of styles" [value]="style.style_id">{{style.style_code}}
                                </option>
                            </select>
                            <div *ngIf="submitted && formControls.style_id.errors" class="errors">
                                <div *ngIf="formControls.style_id.errors.required">Style is required</div>
                            </div>
                        </div>
                    </div>
                    <div class="form-group row">
                        <div class="col-sm-4 mb-3 mb-sm-0">
                            <label>Quantity:</label>
                            <input formControlName="quantity" type="number" class="form-control form-control-user"
                                id="quantity">
                            <div *ngIf="submitted && formControls.quantity.errors" class="errors">
                                <div *ngIf="formControls.quantity.errors.required">Quantity is required</div>
                            </div>
                        </div>
                        <div class="col-sm-4 mb-3 mb-sm-0">
                            <label>Value:</label>
                            <input formControlName="value" type="text" class="form-control form-control-user"
                                id="value">
                            <div *ngIf="submitted && formControls.value.errors" class="errors">
                                <div *ngIf="formControls.value.errors.required">Value is required</div>
                            </div>
                        </div>
                        <div class="col-sm-4 mb-3 mb-sm-0">
                            <label>Currency:</label>
                            <input formControlName="currency" type="text" class="form-control form-control-user"
                                id="currency">
                            <div *ngIf="submitted && formControls.currency.errors" class="errors">
                                <div *ngIf="formControls.currency.errors.required">Currency is required</div>
                            </div>
                        </div>
                    </div>
                    <div class="form-group row">
                        <div class="col-sm-4 mb-3 mb-sm-0">
                            <label>Season:</label>
                            <input formControlName="season" type="season" class="form-control form-control-user"
                                id="season">
                            <div *ngIf="submitted && formControls.season.errors" class="errors">
                                <div *ngIf="formControls.season.errors.required">Season is required</div>
                            </div>
                        </div>
                        <div class="col-sm-4 mb-3 mb-sm-0">
                            <label>Delivery Terms:</label>
                            <input formControlName="delivery_terms" type="number" class="form-control form-control-user"
                                id="delivery_terms">
                            <div *ngIf="submitted && formControls.delivery_terms.errors" class="errors">
                                <div *ngIf="formControls.delivery_terms.errors.required">Delivery terms is required
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-4 mb-3 mb-sm-0">
                            <label>Payment Terms:</label>
                            <input formControlName="payment_terms" type="number" class="form-control form-control-user"
                                id="payment_terms">
                            <div *ngIf="submitted && formControls.payment_terms.errors" class="errors">
                                <div *ngIf="formControls.payment_terms.errors.required">Payment Terms is required</div>
                            </div>
                        </div>
                    </div>
                    <hr>
                    <div class="form-group row">
                        <div class="col-sm-4 mb-3 mb-sm-0">
                        </div>
                        <div class="col-sm-4 mb-3 mb-sm-0">
                            <input type="submit" value="submit" class="btn btn-main btn-user btn-block">
                        </div>
                    </div>

                </form>
            </div>
        </div>

    </div>
</div>

<app-view-style></app-view-style>